import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/nh/powerStationInefficient/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/nh/powerStationInefficient/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/nh/powerStationInefficient/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const confirmInefficient = (ids,isConfirm,remarks) => {
  return request({
    url: '/nh/powerStationInefficient/confirmInefficient',
    method: 'post',
    params: {
      ids,isConfirm,remarks
    }
  })
}

export const add = (row) => {
  return request({
    url: '/nh/powerStationInefficient/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/nh/powerStationInefficient/submit',
    method: 'post',
    data: row
  })
}

